DRM_ATOMIC_HELPER_UP(9)

NAME
drm_atomic_helper_update_plane - Helper for primary plane update using atomic

SYNOPSIS

int drm_atomic_helper_update_plane(struct drm_plane * plane, struct drm_crtc * crtc, struct drm_framebuffer * fb, int crtc_x, int crtc_y, unsigned int crtc_w, unsigned int crtc_h, uint32_t src_x, uint32_t src_y, uint32_t src_w, uint32_t src_h);

ARGUMENTS

plane
    plane object to update

crtc
    owning CRTC of owning plane

fb
    framebuffer to flip onto plane

crtc_x
    x offset of primary plane on crtc

crtc_y
    y offset of primary plane on crtc

crtc_w
    width of primary plane rectangle on crtc

crtc_h
    height of primary plane rectangle on crtc

src_x
    x offset of fb for panning

src_y
    y offset of fb for panning

src_w
    width of source rectangle in fb

src_h
    height of source rectangle in fb

DESCRIPTION

Provides a default plane update handler using the atomic driver interface.

RETURNS

Zero on success, error code on failure

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT